%define anolis_release 2

%global debug_package %{nil}
%global pypi_name yarl

Name:           python-%{pypi_name}
Version:        1.8.2
Release:        %{anolis_release}%{?dist}
Summary:        Python module to handle URLs

License:        ASL 2.0
URL:            https://yarl.readthedocs.io
Source0:        https://github.com/aio-libs/yarl/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

Patch0001: 0001-Correct-square-bracket-handling-in-URL-netloc.patch
Patch0002: 0002-Fix-3.11-tests.patch

BuildRequires:  gcc

%description
The module provides handy URL class for URL parsing and changing.

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-Cython
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(multidict)
BuildRequires:  python3dist(idna)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The module provides handy URL class for URL parsing and changing.

%prep
%autosetup -n %{pypi_name}-%{version} -p 1
sed -e '/addopts/d' -i setup.cfg

%build
# cythonization extracted from Makefile
# we don't use `make cythonize` here, as it pip-installs cython and runs `python`
%{python3} -m cython -3 -o yarl/_quoting_c.c yarl/_quoting_c.pyx -I yarl

%py3_build

%install
%py3_install

%check
%pytest -v tests

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-*.egg-info/

%changelog
* Wed Mar 27 2024 Liwei Ge <liwei.glw@alibaba-inc.com> - 1.8.2-2
- Rebuild with python 3.11

* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 1.8.2-1
- Import package for anolis 23
